petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSynchronizedPrintf

Prints synchronized output from several processors. Output of the first processor is followed by that of the second, etc.

### Synopsis

    PetscErrorCode  PetscSynchronizedPrintf(MPI_Comm comm,const char format[],...)

Not Collective Many br

### Input Parameters

| comm | - the communicator Many br
| format | - the usual printf() format string Many br

Many br

### Notes

REQUIRES a intervening call to PetscSynchronizedFlush() for the information Many brfrom all the processors to be printed. Many br

### Fortran Note

The call sequence is PetscSynchronizedPrintf(MPI_Comm, character(*), PetscErrorCode ierr) from Fortran. Many brThat is, you can only pass a single character string from Fortran. Many br

### See Also

PetscSynchronizedFlush(), PetscSynchronizedFPrintf(), PetscFPrintf(),
PetscPrintf(), PetscViewerASCIIPrintf(), PetscViewerASCIISynchronizedPrintf() Many br

Level:intermediate
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/sys/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex10.c.html